MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions

# src/idle.h File Reference

Go to the source code of this file.

## Enumerations
enum | { IDLE_DATABASE = 0x1, IDLE_STORED_PLAYLIST = 0x2, IDLE_PLAYLIST = 0x4, IDLE_PLAYER = 0x8, IDLE_MIXER = 0x10, IDLE_OUTPUT = 0x20, IDLE_OPTIONS = 0x40, IDLE_STICKER = 0x80, IDLE_UPDATE = 0x100 }
## Functions
void | idle_init (void)
| Initialize the mutex.
void | idle_deinit (void)
| Destroy the mutex.
void | idle_add (unsigned flags)
| Adds idle flag (with bitwise "or") and queues notifications to all clients.
unsigned | idle_get (void)
| Atomically reads and resets the global idle flags value.
const char *const | idle_get_names (void)
| Get idle names.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  IDLE_DATABASE | song database has been updated
  IDLE_STORED_PLAYLIST | a stored playlist has been modified, created, deleted or renamed
  IDLE_PLAYLIST | the current playlist has been modified
  IDLE_PLAYER | the player state has changed: play, stop, pause, seek, ...
  IDLE_MIXER | the volume has been modified
  IDLE_OUTPUT | an audio output device has been enabled or disabled
  IDLE_OPTIONS | options have changed: crossfade, random, repeat, ...
  IDLE_STICKER | a sticker has been modified.
  IDLE_UPDATE | a database update has started or finished.

Definition at line 28 of file idle.h.

## Function Documentation

void idle_add | ( | unsigned | flags | ) |

Adds idle flag (with bitwise "or") and queues notifications to all clients.

void idle_deinit | ( | void |  | ) |

Destroy the mutex.

unsigned idle_get | ( | void |  | ) |

Atomically reads and resets the global idle flags value.

const char* const idle_get_names | ( | void |  | ) |

Get idle names.

void idle_init | ( | void |  | ) |

Initialize the mutex.